al_build_shader(3)

NAME

al_build_shader - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_build_shader(ALLEGRO_SHADER *shader)

DESCRIPTION

This is required before the shader can be used with al_use_shader(3). It should be called after successfully attaching the pixel and/or vertex shaders with al_attach_shader_source(3) or al_attach_shader_source_file(3).

Returns true on success and false on error, in which case the error log is updated. The error log can be retrieved with al_get_shader_log(3).

    Note: If you are using the ALLEGRO_PROGRAMMABLE_PIPELINE flag, then you must specify both a pixel and a vertex shader sources for anything to be rendered.

SINCE

5.1.6

SEE ALSO

al_use_shader(3), al_get_shader_log(3)